summaryrefslogtreecommitdiffstats
path: root/source/l/pyparsing
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/l/pyparsing/pyparsing.SlackBuild (renamed from source/n/rfkill/rfkill.SlackBuild)85
-rw-r--r--source/l/pyparsing/slack-desc19
2 files changed, 55 insertions, 49 deletions
diff --git a/source/n/rfkill/rfkill.SlackBuild b/source/l/pyparsing/pyparsing.SlackBuild
index c82832b91..7e1f56731 100755
--- a/source/n/rfkill/rfkill.SlackBuild
+++ b/source/l/pyparsing/pyparsing.SlackBuild
@@ -1,17 +1,17 @@
-#!/bin/sh
+#!/bin/bash
-# Slackware build script for rfkill
+# Slackware build script for pyparsing
-# Copyright 2010 Ray Gomez <ray.gomez{at}thetravelingcoder{dot}com>
-# Copyright 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008-2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
-#
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-#
+#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
-#
+#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
@@ -22,39 +22,34 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by Barry Grundy (bgrundy<at>linuxleo.com)
-PKGNAM=rfkill
-VERSION=${VERSION:-0.5}
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pyparsing
+VERSION=${VERSION:-$(echo pyparsing-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -62,32 +57,24 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make \
- CFLAGS="$SLKCFLAGS" \
- PREFIX=/usr \
- MANDIR=/usr/man || exit 1
-make install \
- PREFIX=/usr \
- MANDIR=/usr/man \
- DESTDIR=$PKG || exit 1
+python setup.py install --root=$PKG || exit 1
+python3 setup.py install --root=$PKG || exit 1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
- COPYING* README* \
+cp -a CHANGES LICENSE* PKG-INFO README* HowToUsePyparsing.html \
$PKG/usr/doc/$PKGNAM-$VERSION
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/pyparsing/slack-desc b/source/l/pyparsing/slack-desc
new file mode 100644
index 000000000..66a2a3804
--- /dev/null
+++ b/source/l/pyparsing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pyparsing: pyparsing (parsing module for python)
+pyparsing:
+pyparsing: The pyparsing module is an alternative approach to creating and
+pyparsing: executing simple grammars, vs. the traditional lex/yacc approach, or
+pyparsing: the use of regular expressions. The pyparsing module provides a
+pyparsing: library of classes that client code uses to construct the grammar
+pyparsing: directly in Python code.
+pyparsing:
+pyparsing: Homepage: http://pyparsing.wikispaces.com/
+pyparsing:
+pyparsing: